Overview
POST
/usage/principal-tiersusageCreate principal_tiers
Create a record in principal-tiers.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- scopestring
- principalIdstring
- tierIdstring
Example
{
"scope": "string",
"principalId": "string",
"tierId": "string"
}Responses
201
principal_tiers
- scopestring
- principalIdstring
- tierIdstring
Example
{
"scope": "string",
"principalId": "string",
"tierId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/usage/principal-tiers" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"scope": "string",
"principalId": "string",
"tierId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/principal-tiers", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"scope\": \"string\",\n \"principalId\": \"string\",\n \"tierId\": \"string\"\n}",
});
const data = await res.json();